// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AktionType,
    BesondereUmstaendeType,
    BeteiligungBundesratType,
    BeteiligungBundestagType,
    EuVeranlasstType,
    GrundtypType,
    InitiantType,
    PkpGesendetStatusType,
    PkpWorkflowStatusType,
    RegelungsvorhabenTypType,
    SachgebietType,
    VorhabenStatusType,
} from './';

/**
 * @export
 * @interface RegelungsvorhabenEntityDTO
 */
export interface RegelungsvorhabenEntityDTO {
    /**
     * @type {VorhabenStatusType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    status: VorhabenStatusType;
    /**
     * @type {InitiantType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    initiant: InitiantType;
    /**
     * früher: bezeichnung
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    langtitel?: string;
    /**
     * auch: titel
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    kurzbezeichnung?: string;
    /**
     * auch: amtlAbkuerzung
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    abkuerzung?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    kurzbeschreibung?: string;
    /**
     * ID des koordinierenden Federführers
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    technischesFfRessort?: string;
    /**
     * ID der federführenden Abteilung
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    technischeFfAbteilung?: string;
    /**
     * ID des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    technischesFfReferat?: string;
    /**
     * IDs aller Federführers
     * @type {Array<string>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    allFfRessorts: Array<string>;
    /**
     * IDs der beteiligten Ressorts
     * @type {Array<string>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    beteiligteRessorts: Array<string>;
    /**
     * @type {Array<SachgebietType>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    sachgebiete: Array<SachgebietType>;
    /**
     * @type {RegelungsvorhabenTypType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    vorhabenart?: RegelungsvorhabenTypType;
    /**
     * @type {GrundtypType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    grundtyp?: GrundtypType;
    /**
     * @type {Array<BesondereUmstaendeType>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    besondereUmstaende: Array<BesondereUmstaendeType>;
    /**
     * @type {EuVeranlasstType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    euVeranlasst?: EuVeranlasstType;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenEntityDTO
     */
    readonly allowedToModify: boolean;
    /**
     * @type {Array<AktionType>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    readonly aktionen?: Array<AktionType>;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    readonly pkpGesendetAm?: string;
    /**
     * @type {PkpGesendetStatusType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    pkpStatus?: PkpGesendetStatusType;
    /**
     * @type {PkpWorkflowStatusType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    pkpWorkflowStatus?: PkpWorkflowStatusType;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenEntityDTO
     */
    datenblattNummer?: string;
    /**
     * @type {Array<BeteiligungBundestagType>}
     * @memberof RegelungsvorhabenEntityDTO
     */
    beteiligungBundestag: Array<BeteiligungBundestagType>;
    /**
     * @type {BeteiligungBundesratType}
     * @memberof RegelungsvorhabenEntityDTO
     */
    beteiligungBundesrat?: BeteiligungBundesratType;
}


